{$mode objfpc}

uses
	SysUtils;

var
	i, j, DigitCnt: Integer;
	s, Code, Local, tmp, Ans: String;
	fi, fo: Text;


const
	Digits: set of Char = ['0'..'9'];


procedure Assert(cond: Boolean; msg: String = '');
begin
	if not cond then begin
		Write(msg);
		Halt(216);
	end;
end;


begin
	DigitCnt := 0;
	Code := '';
	Local := '';
	Ans := '';
	
	Assign(fi, 'input.txt');
	Assign(fo, 'output.txt');
	Reset(fi);
	Rewrite(fo);

	Read(fi, s);

	Assert(Length(s) <= 25, 'Input string length MUST BE no more than 25');
	Assert(Copy(s, 1, 2) = '+7', 'Telephone number MUST begin from "+7"');
	for i := 1 to Length(s) do begin
		DigitCnt += Ord(s[i] in Digits);
	end;
	Assert(DigitCnt = 11, 'Telephone number MUST contain 10 digits after "+7"');

	j := 3;
	while not (s[j] in Digits) do inc(j);

	for i := j to Length(s) do begin
		if s[i] in Digits then Code += s[i] else begin j := i; break; end;
	end;
//	Writeln('Code: ', Code);

	for i := j to Length (s) do begin
		if s[i] in Digits then Local := s[i] + Local;
	end;
//	Writeln('Local:', Local);

	Ans := '+7 ' + Code + ' ';
	tmp := Local[4] + Local[3] + '-' + Local[2] + Local[1];
	if Length(Local) > 4 then begin
		tmp := '-' + tmp;
		for i := 5 to Length(Local) do
			tmp := Local[i] + tmp;
	end;
	
	Ans += tmp;
	Write(fo, Ans);

	Close(fi);
	Close(fo);
end.